<?php
/**
 * @file
 * Admin page callbacks for the addresses module.
 */

/**
 * Menu callback; admin/settings/addresses.
 *
 * @param array $form_state
 *
 * @return array
 */
function addresses_admin_dashboard_form(&$form_state) {
  $form = array();

  $form['addresses_providers'] = array(
    '#collapsible' => TRUE,
    '#title' => t('Data providers'),
    '#type' => 'fieldset',
  );
  _addresses_admin_dashboard_form_providers($form['addresses_providers']);

  $form['addresses_formatters'] = array(
    '#collapsible' => TRUE,
    '#title' => t('Address formatters'),
    '#type' => 'fieldset',
  );
  _addresses_admin_dashboard_form_formatters($form['addresses_formatters']);

  return $form;
}

/**
 * Helper function; display data providers in a list.
 *
 * @param array $form
 *
 * @return void
 */
function _addresses_admin_dashboard_form_providers(&$form) {
  // Initialize counter for return
  $count = 0;

  // Set up themeing
  $form['addresses_providers_list'] = array(
//    Themeing of list to come
//    '#theme' => 'addresses_admin_providers_list',
    '#tree' => TRUE,
  );
}

/**
 * Helper function; display formatters in a list.
 *
 * @param array $form
 *
 * @return void
 */
function _addresses_admin_dashboard_form_formatters(&$form) {
  // Initialize counter for return
  $count = 0;

  // Set up themeing
  $form['addresses_formatters_list'] = array(
//    Themeing of list to come
//    '#theme' => 'addresses_admin_formatters_list',
    '#tree' => TRUE,
  );
}
